This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 970003 - Add pkgconfig file for finding library configurations
Add pkgconfig file for finding library configurations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtomcrypt (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 970002
  Show dependency treegraph
 
Reported: 2013-06-03 05:56 EDT by Simone Caronni
Modified: 2013-06-18 02:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: libtomcrypt-1.17-18.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 01:29:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to enable pkg-config file (1.39 KB, patch)
2013-06-03 05:56 EDT, Simone Caronni
no flags Details | Diff

  None (edit)
Description Simone Caronni 2013-06-03 05:56:54 EDT
Created attachment 756227 [details]
Patch to enable pkg-config file

Description of problem:
The current libtomcrypt-devel package does not contain a pkg-config file required for building stoken, the free RSA Token manipulation took.

The stoken library is required for enabling RSA token support in openconnect; the Cisco AnyConnect compatible VPN client.

Version-Release number of selected component (if applicable):
libtomcrypt-1.17-15.fc19

How reproducible:
Always

Steps to Reproduce:
1. Install libtomcrypt-devel
2. Try to compile stoken

Actual results:
No pkg-config file libtomcrypt.pc file installed.

Expected results:
pkg-config file libtomcrypt.pc file installed and available for consumption by other configure scripts.

Additional info:
Attached patch that enables libtomcrypt pkg-config file
Comment 1 Fedora Admin XMLRPC Client 2013-06-04 10:21:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2013-06-04 13:13:21 EDT
libtomcrypt-1.17-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-17.fc19
Comment 3 Fedora Update System 2013-06-04 13:41:18 EDT
libtomcrypt-1.17-17.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-17.fc18
Comment 4 Fedora Update System 2013-06-06 12:14:53 EDT
libtomcrypt-1.17-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc17
Comment 5 Fedora Update System 2013-06-06 12:15:33 EDT
libtomcrypt-1.17-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc18
Comment 6 Fedora Update System 2013-06-06 12:16:14 EDT
libtomcrypt-1.17-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtomcrypt-1.17-18.fc19
Comment 7 Fedora Update System 2013-06-06 23:01:51 EDT
Package libtomcrypt-1.17-18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtomcrypt-1.17-18.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10239/libtomcrypt-1.17-18.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-16 01:29:32 EDT
libtomcrypt-1.17-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-06-16 01:33:02 EDT
libtomcrypt-1.17-18.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-06-18 02:24:19 EDT
libtomcrypt-1.17-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.